org.apache.lucene.facet.search

## Class FacetsCollector.MatchingDocs

- java.lang.Object
- - org.apache.lucene.facet.search.FacetsCollector.MatchingDocs

- Enclosing class:
    FacetsCollector

      public static final class FacetsCollector.MatchingDocs
      extends Object

  Holds the documents that were matched in the `AtomicReaderContext`. If scores were required, then `scores` is not null.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FixedBitSet` | `bits`
    `AtomicReaderContext` | `context`
    `float[]` | `scores`
    `int` | `totalHits`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetsCollector.MatchingDocs(AtomicReaderContext context, FixedBitSet bits, int totalHits, float[] scores)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          public final AtomicReaderContext context

    - #### bits

          public final FixedBitSet bits

    - #### scores

          public final float[] scores

    - #### totalHits

          public final int totalHits

  - ### Constructor Detail

    - #### FacetsCollector.MatchingDocs

          public FacetsCollector.MatchingDocs(AtomicReaderContext context,
                                      FixedBitSet bits,
                                      int totalHits,
                                      float[] scores)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.